//
// modules/lightbox
// j_colorbox
//

#cboxOverlay {
  background: white;
}

#colorbox {
  *:focus {
    outline: 0;
    box-shadow: none;
  }

  // next, previouse
  #cboxNext,
  #cboxPrevious {
    @extend %button;
    margin-bottom: 0 !important;
    height: 100%;
    position: absolute;
    top: 50%;
    z-index: 1;
    background: none;
    height: 2.5rem;
    width: 2.5rem;
    border: 2px solid white !important;
    padding: 0 !important;

    &::before {
      font-size: 0.875rem;
      position: absolute;
      top: 55%;
      left: 50%;
      transform: translate(-50%,-50%);
      line-height: 0;
      color: white;
      text-indent: initial;
      @include transition;
    }

    &:hover::before {
      color: $color-highlight;
    }

    &:hover {
      background: white !important;
    }
  }

  #cboxPrevious {
    left: 1rem;

    &::before {
      content: '\25C0';
    }
  }

  #cboxNext {
    right: 1rem;

    &::before {
      content: '\25B6';
    }
  }

  // content box
  #cboxContent {
    margin-top: 0;
    padding-top: 3.5rem;
    background: none;
  }

  #cboxCurrent,
  #cboxTitle {
    color: $color-text;
  }

  #cboxLoadedContent {
    border: 0;
  }

  #cboxTitle {
    display: none !important;
  }

  #cboxCurrent {
    top: 1.5rem;
    left: 0;
    right: initial;
  }

  // close button
  #cboxClose {
    top: 1.25rem;
    right: 0;
    width: 1.25rem;
    height: 2.25rem;
    border-radius: 0.375rem;
    background: transparent;
    text-indent: 0;
    transition: 333ms ease-in-out;

    &:hover::before {
      color: $color-text;
    }

    &::before {
      content: '+';
      color: $color-highlight;
      position: absolute;
      right: 0;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%) rotate(45deg);
      font-size: 1.75rem;
      transition: 250ms ease-in-out;
    }
  }

  // close button
  #cboxLoadingGraphic {
    background: none;
  }
}
